## HTTPClient
Interface CookiePolicyHandler

All Known Implementing Classes:
  DefaultCookiePolicyHandler

public interface CookiePolicyHandler

This is the interface that a cookie policy handler must implement. A policy handler allows you to control which cookies are accepted and which are sent.

Since:
  V0.3
See Also:
  `CookieModule.setCookiePolicyHandler(HTTPClient.CookiePolicyHandler)`

Method Summary
`boolean` `acceptCookie(Cookie cookie, RoRequest req, RoResponse resp)` This method is called for each cookie that a server tries to set via the Set-Cookie header.
`boolean` `sendCookie(Cookie cookie, RoRequest req)` This method is called for each cookie that is eligible for sending with a request (according to the matching rules for the path, domain, protocol, etc).

Method Detail

### acceptCookie

    public boolean acceptCookie(Cookie cookie,
                                RoRequest req,
                                RoResponse resp)

  This method is called for each cookie that a server tries to set via the Set-Cookie header. This enables you to implement your own cookie acceptance policy.

  Parameters:
    `cookie` - the cookie in question
    `req` - the request sent which prompted the response
    `resp` - the response which is trying to set the cookie
  Returns:
    true if this cookie should be accepted, false if it is to be rejected.

### sendCookie

    public boolean sendCookie(Cookie cookie,
                              RoRequest req)

  This method is called for each cookie that is eligible for sending with a request (according to the matching rules for the path, domain, protocol, etc). This enables you to control the sending of cookies.

  Parameters:
    `cookie` - the cookie in question
    `req` - the request this cookie is to be sent with
  Returns:
    true if this cookie should be sent, false if it is to be ignored.